Last Comment Bug 883485 - Allow deletion of news posts by default (with a prompt!)
: Allow deletion of news posts by default (with a prompt!)
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Database (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: Thunderbird 24.0
Assigned To: Jim Porter (:squib)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 21:43 PDT by Jim Porter (:squib)
Modified: 2013-06-23 19:36 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.92 KB, patch)
2013-06-14 21:43 PDT, Jim Porter (:squib)
no flags Details | Diff | Splinter Review
Proper patch (6.29 KB, patch)
2013-06-14 21:45 PDT, Jim Porter (:squib)
Pidgeot18: review+
Details | Diff | Splinter Review
Remove new string (10.37 KB, patch)
2013-06-22 20:33 PDT, Jim Porter (:squib)
squibblyflabbetydoo: review+
Details | Diff | Splinter Review

Description Jim Porter (:squib) 2013-06-14 21:43:19 PDT
Created attachment 763063 [details] [diff] [review]
Patch

Thanks to jcranmer, we've had the ability to delete the local copies of news posts for some time. However, it's been locked behind a hidden pref. Now that we have a confirmation prompt when shift-deleting messages, we can expand that logic a bit to account for deleting news posts as well.

This means that, with the exception of "Junk", the buttons in the message header for news actually match those for mail!
Comment 1 Jim Porter (:squib) 2013-06-14 21:45:24 PDT
Created attachment 763064 [details] [diff] [review]
Proper patch

Whoops, I accidentally posted an interdiff instead of the proper diff!
Comment 2 Jim Porter (:squib) 2013-06-21 22:10:50 PDT
Just a note: this doesn't actually *require* any l10n changes (in fact, I'm not sure we even want the string I added), so we could theoretically land this during aurora.
Comment 3 Joshua Cranmer [:jcranmer] 2013-06-22 11:53:10 PDT
Comment on attachment 763064 [details] [diff] [review]
Proper patch

Review of attachment 763064 [details] [diff] [review]:
-----------------------------------------------------------------

I don't think there's much of a difference to having the separate string for the "post" versus "message", considering that we don't use a lot of "post" terminology in mailnews.

Also, next time, please try to remember to use -p when making patches. :-)
Comment 4 Jim Porter (:squib) 2013-06-22 20:33:45 PDT
Created attachment 766378 [details] [diff] [review]
Remove new string

This removes the new string (but renames the old shift-delete one since the context changed). I'm posting this here instead of just pushing because the Seamonkey tree is closed.
Comment 5 Jim Porter (:squib) 2013-06-23 19:36:15 PDT
Landed: https://hg.mozilla.org/comm-central/rev/0eca3fec431a

Note You need to log in before you can comment on or make changes to this bug.